// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
// Module: BackscaleMaker
// Author: Richard Saxton 
//
// Description: Creates an ARF using arfgen
//
// Modifications: See ChangeLog
//
#ifndef BackscaleMaker_H
#define BackscaleMaker_H

/* General classes */
#include <iostream>

/* SAS-specific classes */
#include <Tracer.h>
#include <metatask.h>
#include <errstr.h>
#include <param.h>

/* Local Classes */

/****************************************************
 *
 * class BackscaleMaker
 *
 ***************************************************/

class BackscaleMaker
{
public:

  /* Constructor */
  BackscaleMaker(string spectrumfile, 
              bool withbadpixcorr, bool useodfatt,
              string badpixlocation);

  /* Destructor */
  ~BackscaleMaker();

};

#endif

