// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
// Module: CalSetter
// Author: Richard Saxton 
//
// Description: Sets the CAL status
//
// Modifications: See ChangeLog
//

#ifndef CalSetter_H
#define CalSetter_H

/* General classes */

/* SAS-specific classes */
#include "Xmm.h"
#include "Dal.h"
#include "CalServer.h"

/* Local Classes */

/****************************************************
 *
 * class CalSetter
 *
 ***************************************************/

class CalSetter
{
public:

  /* Constructor */
  CalSetter();

  /* Destructor */
  ~CalSetter();

  /* Method to set the Cal from an image file header */
  void fromImage(const string & infile);
  Xmm::Mode getWindowMode(string submode) const;
  void setAccuracyLevel(AccuracyLevel mode) const;
  void setAccuracyLevel(string mode) const;

private:

DataSet * set;
Xmm::Mode _windowMode;

};

#endif

