// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// 
// Module: FindBestRmfName
// Author: Richard Saxton
//
// Description: 
//
// Given an input image, this class generates 
// a new PixelIterator for those pixels
// that are bounded by the specified region expression.
//
// Modifications: See ChangeLog
// 
// $Id: FindBestRmfName.h,v 1.6 2012/04/11 15:27:43 eojero Exp $

#ifndef FindBestRmfName_H
#define FindBestRmfName_H

// General classes
#include <iostream>

// SAS-specific classes
#include "PixelIterator.h"
#include "ImagePixelIterator.h"
#include "TablePixelIterator.h"
#include "PositionUtils.h"
#include "SourcePosition.h"
#include "DatafileAttributes.h"
#include "Xmm.h"

// General utility functions

// Local classes

class FindBestRmfName
{                                        
public:

  /* Methods */
  static string getName(const string & sourceset);

private:

  /* Constructor */
  FindBestRmfName();
  
};

#endif
